<?php

/* 
 * config.inc - the main config file for muwed
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 * all configurations for muwed should be placed here.
 * please edit it, so that it matches you configuration. 
 * 
 */

require_once("phphtmllib.inc");
require_once("browsers.inc");

/* the number of entries displayed on one page
 */
$MAX_ENTRIES=20;

/* the columns to show in the results:
 */
$SHOW_COLUMN=array(
  "artist"   => true,
  "composer" => false,
  "title"    => true,
  "album"    => true,
  "length"   => true,
  "kbps"     => true,
  "size"     => true,
  "file"     => true,
  "edit"     => true
);

/* the default values for the query options, 1 ist checked
 * 0 is unchecked 
 */
$REGEX_ON=1;
$CASESENSITIVE_ON=0;
$ADDRESULTS_ON=0;
$CLEARLIST_ON=0;
$SHOWSEL_ON=0;

/* the directory to create temporary playlists in
 * NOTE: muwed doesn't remove the playlists, so it's a good idea to
 * have a cron job do this from time to time ;-).
 */
$TEMP_M3UDIR="/tmp/";

/* the root dir for mp3 files (where in the local file system
 * are the mp3 files located)
 */
$MP3ROOT="/scratch2/mp3/";

/* the root dir for playlists (where in the local file system are
 * the playlists located)
 */
$M3UROOT=$MP3ROOT;

/* the root for the links to the files 
 * where on the web server are you mp3 files located (e.g. "/music"
 * for a virtual directory called music pointing to $MP3ROOT)
 */
$LINKROOT="file://apollo/root$MP3ROOT";

/* the location of the getAPIC perl script (used to extract
 * pictures from ID3v2 APIC frames)
 */
$GETAPIC="/cgi-bin/getAPIC.pl?file=";

/* the host and port of you irmp3 server
 */
$IRMP3_HOST="localhost";
$IRMP3_PORT="9232";

/* the connect string for the PostgreSQL server
 * use "dbname=muwed user=postgres host=<servername>" if your database is running on a remote machine 
 */
$DBCONNECT="dbname=muwed user=postgres";

?>
