<?php

/* 
 * dbutils.inc - some helpfull scripts for building db queries 
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

require_once("config.inc");

function getQueryClause($field, $pattern, $regex, $case)
{
  $trans=array("\\\\" => "\\\\", "\\" => "\\\\");

  $val=strtr($pattern, $trans);		// translate single backslashes
  $val=addslashes($val);
  
  if($regex == 1)
  {
    if($case == 1)
      $clause="$field ~ '$val'";
    else
      $clause="$field ~* '$val'";
  }
  else
  {
    if($case == 1)
      $clause="$field ~~ '$val'";
    else
      $clause="lower($field) ~~ '".strtolower($val)."'";
  }

  return "($clause)";
}

function getPlaylistEntriesClause($plid)
{
  return "(id=pl_entries.s_id AND pl_entries.pl_id=$plid)";
}

function getPlaylistWithSongClause($songid)
{
  return "(id=pl_entries.pl_id AND pl_entries.s_id=$songid)";
}

function getPlaylistEntryCountQuery($plid)
{
  return "SELECT count(s_id) FROM pl_entries WHERE pl_id=$plid;";
}

function joinClauses($match, $clauses)
{
  if($match == "OR")
  {
    $joinarg="UNION SELECT * FROM songs WHERE";
    /* using UNION speeds up things a lot compared to OR and is absolutly needed for playlist
       queries to get results only once */
  }
  else
    $joinarg="AND";

  $query=join(" $joinarg ", $clauses);

  return $query;
}

function addSelEntriesToQuery($query, $selEntries)
{
  if(count($selEntries)>0)
  {
    if(strlen($query)>0)
      $query=$query." UNION SELECT * FROM songs WHERE ";

    $query.="id IN (". join(",", $selEntries) .")";
  }

  return $query;
}

function createSongQuery($fields, $query, $sortby)
{
  $query="SELECT $fields FROM songs WHERE $query";

  if(strlen($sortby)>0)
    $query.=" ORDER BY $sortby";

  return $query.";";
}

function createPlaylistQuery($query, $sortby)
{
  $query="SELECT * FROM playlists WHERE $query";

  if(strlen($sortby)>0)
    $query.=" ORDER BY $sortby";

  return $query.";";
}
?>
